/******************************************************************************
*
* project name:    Kalaha
* file name:       data21.h
* initial date:    17.10.2004
* author:          mhubi@freesurf.ch
* description:     header-file for all menu/various data
* last changes:		 17.10.2004 22:00
*
*******************************************************************************
*
* Kalaha -- an board-game with alpha-beta-pruning-ai
* Copyright (C) 2004  Martin Huber
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
******************************************************************************/


//this define tells the compiler, which language he must use
#define ENGLISH
//#define GERMAN
//#define FRENCH

//tigcclib
#if defined(ENGLISH)
//all the english-menu data

//--> for all languages the same
//max_length, menu_points, width, height, x, y, str_start
/*
width = 24 + m_exit.max_length*8;
height = 24 + m_exit.menu_points*9;
x = (239 - m_exit.width)/2;
y = (127 - m_exit.height)/2;
*/

MENU menu[] = {{11, 3, 112, 51, 63, 38, 0},
							 {17, 7, 160, 87, 39, 20, 4},
							 {13, 3, 128, 51, 55, 38, 12},
							 {6, 4, 72, 60, 83, 33, 16},
							 {13, 2, 128, 42, 55, 42, 21},
							 {8, 1, 96, 33, 71, 47, 24},
							 {8, 1, 96, 33, 71, 47, 26},
							 {13, 3, 128, 51, 55, 38, 28},
							 {13, 4, 128, 60, 55, 33, 32},
							 {13, 1, 128, 33, 55, 47, 37},
							 {14, 1, 136, 33, 51, 47, 39},
							 {14, 1, 136, 33, 51, 47, 41},
							 {14, 1, 136, 33, 51, 47, 43},
							 {10, 1, 104, 33, 67, 47, 45},
							 {11, 1, 112, 33, 63, 47, 47},
							 {12, 4, 120, 60, 59, 33, 49},
							 {6, 7, 72, 87, 83, 20, 54},
							 {10, 1, 104, 33, 67, 47, 62},
							 {12, 1, 120, 33, 59, 47, 64},
							 {10, 1, 104, 33, 67, 47, 66},
							 {15, 0, 144, 24, 47, 51, 68},
							 {12, 1, 120, 33, 59, 47, 69},
							 {12, 1, 120, 33, 59, 47, 71},
							 {9, 1, 96, 33, 71, 47, 73},
							 {15, 0, 144, 69, 47, 29, 75},
							 {10, 3, 104, 51, 67, 38, 76},
							 {22, 5, 200, 69, 19, 29, 80},
							 {17, 3, 160, 51, 39, 38, 86},
							 {8, 3, 88, 51, 75, 38, 90}
};

//menu-texts (1st is the title)
const char *const menu_text[] = {"Exit Game?", "Yes", "No", "Save & Exit",
																 "Player-Strength", "AI-Level 1", "AI-Level 2", "AI-Level 3", "AI-Level 4", "AI-Level 5", "AI-Level 6", "AI-Level 7",
																 "First Player?", "Player 1", "Player 2", "Random",
																 "Speed", "Slow", "Normal", "Fast", "Return",
																 "Player-Type", "Human", "Computer",
																 "Player 1", "ENTER",
																 "Player 2", "ENTER",
																 "Kalaha v. 2.1", "New Game", "Load Game", "Load Options",
																 "Kalaha v. 2.1", "PLAY", "More Options", "Save Options", "Help",
																 "Success", "Options saved",
																 "Error", "Unable to save",
																 "Success", "Options loaded",
																 "Error", "Unable to load",
																 "Success", "Game saved",
																 "Success", "Game loaded",
																 "More Options", "Speed", "Stones", "Rules", "Return",
																 "Stones", "one", "two", "three", "four", "five", "six", "Return",
																 "", "",
																 "No Highscore", "ENTER",
																 "Highscore!", "ENTER",
																 "",
																 "Player 1 won", "ENTER",
																 "Player 2 won", "ENTER",
																 "Tied Game", "ENTER",
																 "",
																 "Help", "Key-Config", "About", "Return",
																 "Key-Config", "ENTER/HAND  Choose pot", "Arrows      Move cursor", "ESC         Quit game", "F2          Fastquit", "+/-         Adjust contrast",
																 "KALAHA", "        v.2.1", "   by Martin Huber", "  mhubi@freesurf.ch",
																 "Rules", "Easy", "Standard", "Return"};

//tigcclib														 
#elif defined(GERMAN)

//the same for german
MENU menu[] = {{21, 3, 192, 51, 23, 38, 0},
							 {10, 7, 104, 87, 67, 20, 4},
							 {14, 3, 136, 51, 51, 38, 12},
							 {15, 4, 144, 60, 47, 33, 16},
							 {11, 2, 112, 42, 63, 42, 21},
							 {9, 1, 96, 33, 71, 47, 24},
							 {9, 1, 96, 33, 71, 47, 26},
							 {13, 3, 128, 51, 55, 38, 28},
							 {16, 4, 152, 60, 43, 33, 32},
							 {18, 1, 168, 33, 35, 47, 37},
							 {24, 1, 216, 33, 11, 47, 39},
							 {14, 1, 136, 33, 51, 47, 41},
							 {20, 1, 184, 33, 27, 47, 43},
							 {17, 1, 160, 33, 39, 47, 45},
							 {13, 1, 128, 33, 55, 47, 47},
							 {15, 4, 144, 60, 47, 33, 49},
							 {6, 7, 72, 87, 83, 20, 54},
							 {10, 1, 104, 33, 67, 47, 62},
							 {14, 1, 136, 33, 51, 47, 64},
							 {10, 1, 104, 33, 67, 47, 66},
							 {15, 0, 144, 24, 47, 51, 68},
							 {17, 1, 160, 33, 39, 47, 69},
							 {17, 1, 160, 33, 39, 47, 71},
							 {13, 1, 128, 33, 55, 47, 73},
							 {15, 0, 144, 69, 47, 29, 75},
							 {6, 3, 72, 51, 83, 38, 76},
							 {25, 5, 224, 69, 7, 29, 80},
							 {17, 3, 160, 51, 39, 38, 86},
							 {8, 3, 88, 51, 75, 38, 90}
};

const char *const menu_text[] = {	"Spiel verlassen?", "Ja", "Nein", "Speichern & verlassen",
																	"Gegner", "AI-Level 1", "AI-Level 2", "AI-Level 3", "AI-Level 4", "AI-Level 5", "AI-Level 6", "AI-Level 7",
																	"Erster Spieler?", "Spieler 1", "Spieler 2", "Zufall",
																	"Geschwindigkeit", "Langsam", "Normal", "Schnell", "Zurck",
																	"Spieler-Typ", "Mensch", "Computer",
																	"Spieler 1", "ENTER",
																	"Spieler 2", "ENTER",
																	"Kalaha v. 2.1", "Neues Spiel", "Spiel Laden", "Einstellungen",
																	"Kalaha v. 2.1", "PLAY", "Mehr Optionen", "Einst. speichern", "Hilfe",
																	"Erfolg", "Einst. gespeichert",
																	"Fehler", "Speichern fehlgeschlagen",
																	"Erfolg", "Einst. geladen",
																	"Fehler", "Laden fehlgeschlagen",
																	"Erfolg", "Spiel gespeichert",
																	"Erfolg", "Spiel geladen",
																	"Weitere Einst.", "Geschwindigkeit", "Steine", "Regeln", "Zurck",
																	"Steine", "einer", "zwei", "drei", "vier", "fnf", "sechs", "Zurck",
																	"", "",
																	"Kein Highscore", "ENTER",
																	"Highscore!", "ENTER",
																	"",
																	"Spieler 1 gewinnt", "ENTER",
																	"Spieler 2 gewinnt", "ENTER",
																	"Unentschieden", "ENTER",
																	"",
																	"Hilfe", "Tasten", "About", "Zurck",
																	"Tasten", "ENTER/HAND Whle Topf", "Pfeile     Cursor bewegen", "ESC        Spiel beenden", "F2         Fastquit", "+/-        Kontrast",
																	"KALAHA", "        v.2.1", "   by Martin Huber", "  mhubi@freesurf.ch",
																	"Regeln", "Einfach", "Standard", "Zurck"};

//tigcclib												
#elif defined(FRENCH)

//the same for french
MENU menu[] = {{16, 3, 152, 51, 43, 38, 0},
							 {17, 7, 160, 87, 39, 20, 4},
							 {13, 3, 120, 51, 55, 38, 12},
							 {7, 4, 80, 60, 79, 33, 16},
							 {14, 2, 136, 42, 51, 42, 21},
							 {8, 1, 88, 33, 75, 47, 24},
							 {8, 1, 88, 33, 75, 47, 26},
							 {15, 3, 144, 51, 47, 38, 28},
							 {14, 4, 136, 60, 51, 33, 32},
							 {16, 1, 152, 33, 43, 47, 37},
							 {19, 1, 176, 33, 31, 47, 39},
							 {16, 1, 152, 33, 43, 47, 41},
							 {16, 1, 152, 33, 43, 47, 43},
							 {14, 1, 136, 33, 51, 47, 45},
							 {10, 1, 104, 33, 67, 47, 47},
							 {14, 4, 136, 60, 51, 33, 49},
							 {7, 7, 80, 87, 79, 20, 54},
							 {16, 1, 152, 33, 43, 47, 62},
							 {10, 1, 104, 33, 67, 47, 64},
							 {10, 1, 104, 33, 67, 47, 66},
							 {15, 0, 144, 24, 47, 51, 68},
							 {17, 1, 160, 33, 39, 47, 69},
							 {17, 1, 160, 33, 39, 47, 71},
							 {7, 1, 80, 33, 79, 47, 73},
							 {15, 0, 144, 69, 47, 29, 75},
							 {7, 3, 80, 51, 79, 38, 76},
							 {26, 5, 232, 69, 3, 29, 80},
							 {17, 3, 160, 51, 39, 38, 86},
							 {8, 3, 88, 51, 75, 38, 90}
};

const char *const menu_text[] = {	"Quitter?", "Oui", "Non", "Sauver & quitter",
																	"Ennemi", "Niveau 1 (facile)", "Niveau 2", "Niveau 3", "Niveau 4", "Niveau 5", "Niveau 6", "Niveau 7 (dur)",
																	"Premier coup?", "Joueur 1", "Joueur 2", "Au hasard",
																	"Vitesse", "Lente", "Normale", "Rapide", "Arrire",
																	"Type de joueur", "Humain", "Ordinateur",
																	"Joueur 1", "ENTRE",
																	"Joueur 2", "ENTRE",
																	"Kalaha v. 2.1", "Nouveau jeu", "Charger jeu", "Charger options",
																	"Kalaha v. 2.1", "JOUER", "Plus d'options", "Sauver options", "Aide",
																	"Succs", "Options sauves",
																	"Erreur", "Echec de sauvegarde",
																	"Succs", "Options charges",
																	"Erreur", "Erreur de charge",
																	"Succs", "Jeu sauvegard",
																	"Succs", "Jeu charg",
																	"Plus d'options", "Vitesse", "Pierres", "Rgles", "Arrire",
																	"Pierres", "une", "deux", "trois", "quatre", "cinq", "six", "Arrire",
																	"", "",
																	"Pas de Highscore", "ENTRE",
																	"Highscore!", "ENTRE",
																	"",
																	"Victoire Joueur 1", "ENTRE",
																	"Victoire Joueur 2", "ENTRE",
																	"galit", "ENTRE",
																	"",
																	"Aide", "Touches", "About", "Arrire",
																	"Touches", "ENTRE/MAIN Choix du pot", "Flches     Bouger le cursor", "ESC         Quitter partie", "F2          Fastquit", "+/-         Contraste",
																	"KALAHA", "        v.2.1", "  par Martin Huber", "  mhubi@freesurf.ch",
																	"Rgles", "Facile", "Standard", "Arrire"};

#else

	//if there isn't a language defined --> compiler-error
	#error "Must define a Language (data15.h)"
	
#endif


//array of pointer to functions, which are called after a menu-choice
//for all languages the same
void (*menu_func[]) () = {Error, End, DrawEntireField, SaveGame,
													Error, Error, Error, Error, Error, Error, Error, Error,
													Error, FirstPlayer, FirstPlayer, FirstPlayer,
													Error, Error, Error, Error, Nothing,
													Error, Error, Error,
													Error, Error,
													Error, Error,
													Error, NewGame, LoadGame, LoadOptions,
													Error, GameLoop, MenuOptions, SaveOptions, Help,
													Error, Error,
													Error, Error,
													Error, Error,
													Error, Error, 
													Error, Error, 
													Error, Error,
													Error, MenuSpeed, MenuStones, MenuRule, Nothing,
													Error, Error, Error, Error, Error, Error, Error, Error,
													Error, Error,
													Error, Error,
													Error, Error,
													Error,
													Error, Error,
													Error, Error,
													Error, Error,
													Error,
													Error, HelpPages, HelpPages, Nothing,
													Error, Error, Error, Error, Error, Error,
													Error, Error, Error, Error,
													Error, Error, Error, Error};


//various
//define the left-bottom-corner of each pot (1-14 --> index zero is nothing)
const unsigned int lbcorner[15][2] = {{0,0},
																		{32,111},{62,111},{92,111},{122,111},{152,111},{182,111},{212,95},
																		{182,47},{152,47},{122,47},{92,47},{62,47},{32,47},{2,95}};


//table for looking up the next player
const unsigned int next_player[] = {1, 0, 0, 1};

//name of the created files
const char *scorefile = "kalahahi";
const char *optfile = "kalahaco";
const char *gamefile = "kalagame";

//name/score of the hiscore entries
const char *hisc_name[] = {"Expert", "Advanced", "Medium", "Beginner", "Newbie"};
const unsigned int hisc_score[] = {8000, 5000, 3000, 1000, 500};


//=============================================================================
// file history
//=============================================================================
//
//	17.10.2004	pasted all menu-data from the main-h-file into here
//	 1.11.2004	all language-data inserted
